io.undertow.websockets.core

## Class WebSocketHandshakeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - io.undertow.websockets.core.WebSocketException
        - - io.undertow.websockets.core.WebSocketHandshakeException

All Implemented Interfaces:
  Serializable

    public class WebSocketHandshakeException
    extends WebSocketException

`WebSocketException` which should be used during the WebSocket-Handshake processing.

Author:
  Norman Maurer
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`WebSocketHandshakeException()`
`WebSocketHandshakeException(String s)`
`WebSocketHandshakeException(String s, Throwable throwable)`
`WebSocketHandshakeException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WebSocketHandshakeException

    public WebSocketHandshakeException()

#### WebSocketHandshakeException

    public WebSocketHandshakeException(String s)

#### WebSocketHandshakeException

    public WebSocketHandshakeException(String s,
                                       Throwable throwable)

#### WebSocketHandshakeException

    public WebSocketHandshakeException(Throwable cause)